import { describe, it, expect } from 'vitest';
import { generate, getDefaultCards } from '../index';

describe('oblique-strategies-core', () => {
  describe('generate', () => {
    it('generates a card from the default', () => {
      expect(generate()).toEqual(expect.any(String));
    });

    it('generates a card from the provided set of cards', () => {
      expect(generate(['foo', 'bar'])).toEqual(expect.any(String));
    });
  });

  describe('getDefaultCards', () => {
    it('gets the set of default cards', () => {
      expect(getDefaultCards()).toEqual(expect.arrayContaining([
        expect.any(String),
      ]));
    });
  });
});
